Name:       python-quantumclient
Epoch:      2
Version:    2.2.1
Release:    1%{?dist}
Summary:    Python API and CLI for OpenStack Quantum
Group:      Development/Languages
License:    ASL 2.0
URL:        http://launchpad.net/python-quantumclient/
BuildArch:  noarch

Source0:    http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Source1:	quantum.1

#
# patches_base = 2.2.1+1
#
Patch0001: 0001-Rename-Quantum-to-something-more-generic.patch

Requires:   pyparsing
Requires:   python-cliff
Requires:   python-httplib2
Requires:   python-prettytable >= 0.6
Requires:   python-setuptools
Requires:   python-simplejson
Requires:   python-iso8601

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: gzip

%description
Client library and command line utility for interacting with OpenStack
Quantum's API.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1

# Remove bundled egg-info
rm -rf python_quantumclient.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Install other needed files
# rhbz 888939#c7: bash-completion is not in RHEL
install -p -D -m 644 tools/quantum.bash_completion %{buildroot}%{_sysconfdir}/profile.d/quantum.sh

gzip %{SOURCE1}
install -p -D -m 644 %{SOURCE1}.gz %{buildroot}/%{_mandir}/man1/quantum.1.gz

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/quantumclient/tests

%files
%doc LICENSE
%doc README
%{_bindir}/quantum
%{python_sitelib}/quantumclient
%{python_sitelib}/*.egg-info
%{_sysconfdir}/profile.d/quantum.sh
%{_mandir}/man1/quantum.1.gz


%changelog
* Mon May 13 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.2.1-1
- Grizzly release.
- Update to 2.2.1.
- Update help2man generated manpage.

* Fri Apr 12 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.1-5
- Add missing python-iso8601 dependency (rhbz#950554)

* Fri Mar  8 2013 Terry Wilson <twilson@redhat.com> - 2:2.1-4
- Provide a basic quantum man page (rhbz#904352)

* Thu Feb 21 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.1-1
- Switch from tarballs.openstack.org to pypi, based on 2.1
- Change version and Epoch to reflect the source change
- Add # patches_base for update-patches.sh
- Fix description

* Mon Feb 11 2013 Terry Wilson <twilson@redhat.com> - 1:2.1.10-3
- Rename Quantum to OpenStack Network

* Mon Dec 3 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.10-1
- Update to 2.1.10
- Add pyparsing dependency
- Deal with hash in tarball name
- Install /etc/bash_completion.d/quantum.bash_completion

* Mon Sep 24 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.1-0
- Update to 2.1.1

* Wed May 02 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-3
- Depend on parallel installed version of python-paste-deploy

* Fri Apr 13 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-2
- adjust to support EPEL

* Mon Apr  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-1
- Update to essex final release

* Thu Apr  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.5.rc2
- Update to essex rc2 milestone
- Exclude tests

* Wed Mar 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.4.rc1
- Update to official essex rc1 milestone
- Include LICENSE file

* Mon Mar 19 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.3.e4
- Update to essex RC1

* Thu Mar  1 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.2.e4
- Update to essex milestone 4

* Thu Jan 26 2012 Cole Robinson <crobinso@redhat.com> - 2012.1-0.1.e3
- Initial package
